import pluginTester from 'babel-plugin-tester';
import babelPlugin from '.';

pluginTester({
	plugin: babelPlugin,
	pluginName: 'babel-plugin-import-from-index',
	tests: [
		{
			code: `
                import React from 'react';
                import { SidePanel } from '@talend/react-components';
                import Actions, { ActionButton, ActionDropdown } from '@talend/react-components/lib/actions';
                import List from '@talend/react-components/lib/List';`,
			output: `
                import React from 'react';
                import { SidePanel, Actions, ActionButton, ActionDropdown, List } from '@talend/react-components';`,
		},
		{
			code: "import React from 'react';",
			output: "import React from 'react';",
		},
		{
			code: `
				import React from 'react';
                import { SidePanel } from '@talend/react-components';
				import { ModelViewer as ModelViewerComponent } from '@talend/react-components';`,
			output: `
				import React from 'react';
				import { SidePanel, ModelViewer as ModelViewerComponent } from '@talend/react-components';`,
		},
		{
			code:
				"import { RecordsViewer as RecordsViewerComponent, TooltipTrigger } from '@talend/react-components';",
			output:
				"import { RecordsViewer as RecordsViewerComponent, TooltipTrigger } from '@talend/react-components';",
		},
		{
			code: "import * as allComponents from '@talend/react-components';",
			output: "import * as allComponents from '@talend/react-components';",
		},
		{
			code: "import * as allComponents from '@talend/react-components';",
			output: "import * as allComponents from '@talend/react-components';",
		},
	],
});
